"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// All available SVG attributes in Elm
exports.svg = {
    accentheight: 'accentHeight',
    accelerate: 'accelerate',
    accumulate: 'accumulate',
    additive: 'additive',
    alphabetic: 'alphabetic',
    allowreorder: 'allowReorder',
    amplitude: 'amplitude',
    arabicform: 'arabicForm',
    ascent: 'ascent',
    attributename: 'attributeName',
    attributetype: 'attributeType',
    autoreverse: 'autoReverse',
    azimuth: 'azimuth',
    basefrequency: 'baseFrequency',
    baseprofile: 'baseProfile',
    bbox: 'bbox',
    begin: 'begin',
    bias: 'bias',
    by: 'by',
    calcmode: 'calcMode',
    capheight: 'capHeight',
    class: 'class',
    clippathunits: 'clipPathUnits',
    contentscripttype: 'contentScriptType',
    contentstyletype: 'contentStyleType',
    cx: 'cx',
    cy: 'cy',
    d: 'd',
    decelerate: 'decelerate',
    descent: 'descent',
    diffuseconstant: 'diffuseConstant',
    divisor: 'divisor',
    dur: 'dur',
    dx: 'dx',
    dy: 'dy',
    edgemode: 'edgeMode',
    elevation: 'elevation',
    end: 'end',
    exponent: 'exponent',
    externalresourcesrequired: 'externalResourcesRequired',
    filterres: 'filterRes',
    filterunits: 'filterUnits',
    format: 'format',
    from: 'from',
    fx: 'fx',
    fy: 'fy',
    g1: 'g1',
    g2: 'g2',
    glyphname: 'glyphName',
    glyphref: 'glyphRef',
    gradienttransform: 'gradientTransform',
    gradientunits: 'gradientUnits',
    hanging: 'hanging',
    height: 'height',
    horizadvx: 'horizAdvX',
    horizoriginx: 'horizOriginX',
    horizoriginy: 'horizOriginY',
    id: 'id',
    ideographic: 'ideographic',
    in_: 'in_',
    in2: 'in2',
    intercept: 'intercept',
    k: 'k',
    k1: 'k1',
    k2: 'k2',
    k3: 'k3',
    k4: 'k4',
    kernelmatrix: 'kernelMatrix',
    kernelunitlength: 'kernelUnitLength',
    keypoints: 'keyPoints',
    keysplines: 'keySplines',
    keytimes: 'keyTimes',
    lang: 'lang',
    lengthadjust: 'lengthAdjust',
    limitingconeangle: 'limitingConeAngle',
    local: 'local',
    markerheight: 'markerHeight',
    markerunits: 'markerUnits',
    markerwidth: 'markerWidth',
    maskcontentunits: 'maskContentUnits',
    maskunits: 'maskUnits',
    mathematical: 'mathematical',
    max: 'max',
    media: 'media',
    method: 'method',
    min: 'min',
    mode: 'mode',
    name: 'name',
    numoctaves: 'numOctaves',
    offset: 'offset',
    operator: 'operator',
    order: 'order',
    orient: 'orient',
    orientation: 'orientation',
    origin: 'origin',
    overlineposition: 'overlinePosition',
    overlinethickness: 'overlineThickness',
    panose1: 'panose1',
    path: 'path',
    pathlength: 'pathLength',
    patterncontentunits: 'patternContentUnits',
    patterntransform: 'patternTransform',
    patternunits: 'patternUnits',
    pointorder: 'pointOrder',
    points: 'points',
    pointsatx: 'pointsAtX',
    pointsaty: 'pointsAtY',
    pointsatz: 'pointsAtZ',
    preservealpha: 'preserveAlpha',
    preserveaspectratio: 'preserveAspectRatio',
    primitiveunits: 'primitiveUnits',
    r: 'r',
    radius: 'radius',
    refx: 'refX',
    refy: 'refY',
    renderingintent: 'renderingIntent',
    repeatcount: 'repeatCount',
    repeatdur: 'repeatDur',
    requiredextensions: 'requiredExtensions',
    requiredfeatures: 'requiredFeatures',
    restart: 'restart',
    result: 'result',
    rotate: 'rotate',
    rx: 'rx',
    ry: 'ry',
    scale: 'scale',
    seed: 'seed',
    slope: 'slope',
    spacing: 'spacing',
    specularconstant: 'specularConstant',
    specularexponent: 'specularExponent',
    speed: 'speed',
    spreadmethod: 'spreadMethod',
    startoffset: 'startOffset',
    stddeviation: 'stdDeviation',
    stemh: 'stemh',
    stemv: 'stemv',
    stitchtiles: 'stitchTiles',
    strikethroughposition: 'strikethroughPosition',
    strikethroughthickness: 'strikethroughThickness',
    string: 'string',
    style: 'style',
    surfacescale: 'surfaceScale',
    systemlanguage: 'systemLanguage',
    tablevalues: 'tableValues',
    target: 'target',
    targetx: 'targetX',
    targety: 'targetY',
    textlength: 'textLength',
    title: 'title',
    to: 'to',
    transform: 'transform',
    type_: 'type_',
    u1: 'u1',
    u2: 'u2',
    underlineposition: 'underlinePosition',
    underlinethickness: 'underlineThickness',
    unicode: 'unicode',
    unicoderange: 'unicodeRange',
    unitsperem: 'unitsPerEm',
    valphabetic: 'vAlphabetic',
    vhanging: 'vHanging',
    videographic: 'vIdeographic',
    vmathematical: 'vMathematical',
    values: 'values',
    version: 'version',
    vertadvy: 'vertAdvY',
    vertoriginx: 'vertOriginX',
    vertoriginy: 'vertOriginY',
    viewbox: 'viewBox',
    viewtarget: 'viewTarget',
    width: 'width',
    widths: 'widths',
    x: 'x',
    xheight: 'xHeight',
    x1: 'x1',
    x2: 'x2',
    xchannelselector: 'xChannelSelector',
    xlinkactuate: 'xlinkActuate',
    xlinkarcrole: 'xlinkArcrole',
    xlinkhref: 'xlinkHref',
    xlinkrole: 'xlinkRole',
    xlinkshow: 'xlinkShow',
    xlinktitle: 'xlinkTitle',
    xlinktype: 'xlinkType',
    xmlbase: 'xmlBase',
    xmllang: 'xmlLang',
    xmlspace: 'xmlSpace',
    y: 'y',
    y1: 'y1',
    y2: 'y2',
    ychannelselector: 'yChannelSelector',
    z: 'z',
    zoomandpan: 'zoomAndPan',
    alignmentbaseline: 'alignmentBaseline',
    baselineshift: 'baselineShift',
    clippath: 'clipPath',
    cliprule: 'clipRule',
    clip: 'clip',
    colorinterpolationfilters: 'colorInterpolationFilters',
    colorinterpolation: 'colorInterpolation',
    colorprofile: 'colorProfile',
    colorrendering: 'colorRendering',
    color: 'color',
    cursor: 'cursor',
    direction: 'direction',
    display: 'display',
    dominantbaseline: 'dominantBaseline',
    enablebackground: 'enableBackground',
    fillopacity: 'fillOpacity',
    fillrule: 'fillRule',
    fill: 'fill',
    filter: 'filter',
    floodcolor: 'floodColor',
    floodopacity: 'floodOpacity',
    fontfamily: 'fontFamily',
    fontsizeadjust: 'fontSizeAdjust',
    fontsize: 'fontSize',
    fontstretch: 'fontStretch',
    fontstyle: 'fontStyle',
    fontvariant: 'fontVariant',
    fontweight: 'fontWeight',
    glyphorientationhorizontal: 'glyphOrientationHorizontal',
    glyphorientationvertical: 'glyphOrientationVertical',
    imagerendering: 'imageRendering',
    kerning: 'kerning',
    letterspacing: 'letterSpacing',
    lightingcolor: 'lightingColor',
    markerend: 'markerEnd',
    markermid: 'markerMid',
    markerstart: 'markerStart',
    mask: 'mask',
    opacity: 'opacity',
    overflow: 'overflow',
    pointerevents: 'pointerEvents',
    shaperendering: 'shapeRendering',
    stopcolor: 'stopColor',
    stopopacity: 'stopOpacity',
    strokedasharray: 'strokeDasharray',
    strokedashoffset: 'strokeDashoffset',
    strokelinecap: 'strokeLinecap',
    strokelinejoin: 'strokeLinejoin',
    strokemiterlimit: 'strokeMiterlimit',
    strokeopacity: 'strokeOpacity',
    strokewidth: 'strokeWidth',
    stroke: 'stroke',
    textanchor: 'textAnchor',
    textdecoration: 'textDecoration',
    textrendering: 'textRendering',
    unicodebidi: 'unicodeBidi',
    visibility: 'visibility',
    wordspacing: 'wordSpacing',
    writingmode: 'writingMode',
};
exports.default = {
    svg: exports.svg,
};
